
from PyQt5.QtWidgets import QMainWindow, QApplication, QPushButton, QFileDialog, QLineEdit, QWidget, QCheckBox, QComboBox
import json
import os.path, os
import cfg


def save_widgets_to_file(window):
    #print("saving settings")
    # Test getting widgets by name ********************************************
    lineEdits = window.centralWidget().findChildren(QLineEdit)  # Could also be QLineEdit, QPushButton, QWidget..
    widget_dictionary = {}
    for w in lineEdits:
        widget_dictionary[w.objectName()] = w.text()

    checkBoxes = window.centralWidget().findChildren(QCheckBox)
    for w in checkBoxes:
        if w.isChecked():
            widget_dictionary[w.objectName()]="True"
        else:
            widget_dictionary[w.objectName()]="False"

    #print(json.dumps(widget_dictionary,indent=4))

    file_path=os.path.join(cfg.prefs_dir, "prefs.json")
    with open(file_path,"w") as file:
        file.write(json.dumps(widget_dictionary,indent=4))


def load_file_to_widgets(window):
    #print("loading settings")

    file_path = os.path.join(cfg.prefs_dir, "prefs.json")

    # This is just a testfile for testing purposes
    test_file_path=os.path.join(cfg.prefs_dir, "test_prefs.json")
    if os.path.isfile(test_file_path):
        file_path = test_file_path

    if os.path.isfile(file_path):
        with open(file_path,"r") as file:
            data=json.load(file)
            #print(json.dumps(data, indent=4))
            for name in data:
                #print(name + " " + data[name])
                lineEdit = window.centralWidget().findChild(QLineEdit,name)
                if lineEdit:
                    if name != "lineEdit_ProjectMainFile":
                        lineEdit.setText(data[name])
                checkBox = window.centralWidget().findChild(QCheckBox,name)
                if checkBox:
                    if data[name]=="True":
                        checkBox.setChecked(True)
                    elif data[name]=="False":
                        checkBox.setChecked(False)
    else:
        print("Unable to find settings file! " + file_path )
