# All Functions to make the Html5 product

import os
import platform
import subprocess
import shutil

import cfg
import ftp_functions
from general_functions import *


def makeProduct(ui):
    print("function make html")

    relbuildDir = ui.comboBox_RelBuildDir.currentText()
    relHtmlBuildDir=ui.lineEdit_HtmlRelDir.text()
    htmlBuildDir = os.path.join(cfg.project_dir, relbuildDir, relHtmlBuildDir)
    if not os.path.isdir(htmlBuildDir):
        print("htmlBuildDir not found!")
        return

    # Copy html build files to products dir.
    os.chdir(cfg.products_dir)  # Important, because cwd can not be removed.
    sourceDir=htmlBuildDir
    targetDirName=ui.lineEdit_HtmlDirName.text()
    targetDir=os.path.join(cfg.products_dir, targetDirName)
    if os.path.isdir(targetDir):
        shutil.rmtree(targetDir)
    shutil.copytree(sourceDir,targetDir)
    os.chdir(targetDir)

    # Copy FullscreenHtmlFile to targetDir and change Title Tag to appName
    shutil.copy(os.path.join(cfg.CXImportsDir,"CerberusGameFS.html"),targetDir)
    appName = ui.lineEdit_HtmlFileName.text()
    setHtmlTitleTag("CerberusGameFS.html",appName)
    # Rename file to htmlFileName
    os.rename("CerberusGameFS.html",appName+".html")


    #Replace the favicon icon file
    file = ui.lineEdit_HtmlFaviconFile.text()
    if file != "" and os.path.isfile(file):
        if os.path.isfile("favicon.ico"):
            os.remove("favicon.ico")
        shutil.copy(file, os.path.join(targetDir,"favicon.ico"))

    open_folder(targetDir)

    # Upload html folder to server via ftps
    if ui.checkBox_HtmlFtpAutoUpload.isChecked():
        host = ui.lineEdit_FtpHost.text()
        user = ui.lineEdit_FtpUser.text()
        password = ui.lineEdit_FtpPassword.text()
        ftpDirectory = ui.lineEdit_HtmlFtpRelDir.text()
        localDir = targetDir
        #print(host,user,password,localDir, ftpDirectory)
        ftp_functions.upload_DirTree(ui,host, user, password, localDir, ftpDirectory)


def setHtmlTitleTag(file,title):
    #Read original file and modify title tag line.
    with open(file) as f:
        lines=f.readlines()
        for i, line in enumerate(lines):
            if line.__contains__("NewTitleForCerberusGame"):
                lines[i] = line.replace("NewTitleForCerberusGame",title)
    #Write modified lines back to file
    with open(file,"w") as f:
        f.writelines(lines)

