
;*** Constants that must be defined: CXWinBuildFolder
;*** You define the following Constants by using ISCC comand with the /D option.
;*** Example: ISCC "/DCXWinBuildFolder=ThisIsThePath\ToMyBuild" myInnoSetupScript.iss
;*** Optional Constants: CXAppName, CXSetupFileDir, CXSetupFileName, CXAppExeName, CXAppVersion,  CXAppId,  CXAppPublisher,  CXAppPublisherURL

#ifndef CXAppName 
  #define CXAppName "CerberusTest"
#endif

#ifndef CXAppVersion 
  #define CXAppVersion GetDateTimeString('yyyy/mm/dd', '-', ':') ;Version is Date of SetupBuild.
#endif


[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications.
; (To generate a new GUID, click Tools | Generate GUID inside the Innosetup IDE.)

; #define MyAppVer GetFileVersion(AddBackslash(SourcePath) + "MyProg.exe")

#ifdef CXAppId
  AppId={#CXAppId}
#endif
AppName={#CXAppName}
AppVersion={#CXAppVersion}
#ifdef CXAppPublisher 
  AppPublisher={#CXAppPublisher}
#endif
#ifdef CXAppPublisherURL
  AppPublisherURL={#CXAppPublisherURL}
  AppSupportURL={#CXAppPublisherURL}
  AppUpdatesURL={#CXAppPublisherURL}
#endif
DefaultDirName={pf}\{#CXAppName}
DisableProgramGroupPage=yes

#ifdef CXSetupFileDir ;if this is not defined, use default "output" dir next to script.
  OutputDir={#CXSetupFileDir}
#endif

#ifdef CXSetupFileName
OutputBaseFilename={#CXSetupFileName}
#else
  OutputBaseFilename={#CXAppName}
#endif

Compression=lzma
SolidCompression=yes

[Languages]
Name: "german"; MessagesFile: "compiler:Languages\German.isl"

[Files]
#ifdef CXAppExeName
  Source: "{#CXWinBuildFolder}\CerberusGame.exe"; DestDir: "{app}";DestName:"{#CXAppExeName}.exe"; Flags: ignoreversion
#else
  Source: "{#CXWinBuildFolder}\CerberusGame.exe"; DestDir: "{app}";DestName:"{#CXAppName}.exe"; Flags: ignoreversion
#endif

Source: "{#CXWinBuildFolder}\.cerberusstate"; DestDir: "{app}";DestName:".cerberusstate" ;Permissions: users-modify ; Flags: onlyifdoesntexist

Source: "{#CXWinBuildFolder}\*"; Excludes: "CerberusGame.exe,.cerberusstate"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
#ifdef CXAppExeName
  Name: "{commonprograms}\{#CXAppName}"; Filename: "{app}\{#CXAppExeName}.exe"
#else
  Name: "{commonprograms}\{#CXAppName}"; Filename: "{app}\{#CXAppName}.exe"
#endif


[Run]
#ifdef CXAppExeName
Filename: "{app}\{#CXAppExeName}.exe"; Description: "{cm:LaunchProgram,{#StringChange(CXAppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent
#else
Filename: "{app}\{#CXAppName}.exe"; Description: "{cm:LaunchProgram,{#StringChange(CXAppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent
#endif


